# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## 2023-08-28

### Changes

---

Packages with breaking changes:

 - [`wyatt_ui_components` - `v0.3.0`](#wyatt_ui_components---v030)

Packages with other changes:

 - [`wyatt_architecture` - `v0.2.0+1`](#wyatt_architecture---v0201)
 - [`wyatt_authentication_bloc` - `v0.5.1+2`](#wyatt_authentication_bloc---v0512)
 - [`wyatt_bloc_layout` - `v0.1.2`](#wyatt_bloc_layout---v012)
 - [`wyatt_cloud_messaging_bloc_base` - `v0.1.1+2`](#wyatt_cloud_messaging_bloc_base---v0112)
 - [`wyatt_cloud_messaging_bloc_firebase` - `v0.1.0+2`](#wyatt_cloud_messaging_bloc_firebase---v0102)
 - [`wyatt_crud_bloc` - `v0.1.1+1`](#wyatt_crud_bloc---v0111)
 - [`wyatt_form_bloc` - `v0.2.0+4`](#wyatt_form_bloc---v0204)
 - [`wyatt_http_client` - `v2.0.1`](#wyatt_http_client---v201)
 - [`wyatt_i18n` - `v2.0.1`](#wyatt_i18n---v201)
 - [`wyatt_ui_kit` - `v3.2.0`](#wyatt_ui_kit---v320)
 - [`wyatt_ui_layout` - `v0.1.2`](#wyatt_ui_layout---v012)

---

#### `wyatt_ui_components` - `v0.3.0`

 - **FIX**: apply dart format.
 - **FEAT**(ui_components): marking fields as private since it was accessible from getters.
 - **BREAKING** **FEAT**(ui_components): available same type component usage (#200).

#### `wyatt_architecture` - `v0.2.0+1`

 - **FIX**: apply dart fix --apply.

#### `wyatt_authentication_bloc` - `v0.5.1+2`

 - **FIX**(authentication_bloc): upgrade google sign to his major v.
 - **FIX**: apply dart format.
 - **FIX**: apply dart fix --apply.
 - **FIX**(authentication_bloc): go router version refactoring.
 - **FIX**: use correct behavior subject for stream session.

#### `wyatt_bloc_layout` - `v0.1.2`

 - **REFACTOR**(bloc_layouts): refactored block using the ui layout package, due to breaking changes.
 - **FIX**(bloc_layout): typo on erroId.
 - **FIX**: apply dart fix --apply.
 - **FEAT**(bloc_layout): add components ids in crud mixin.
 - **DOCS**: update plantuml models.

#### `wyatt_cloud_messaging_bloc_base` - `v0.1.1+2`

 - **FIX**: apply dart format.
 - **FIX**: apply dart fix --apply.
 - **DOCS**(cloud_messaging_bloc): add reamde.

#### `wyatt_cloud_messaging_bloc_firebase` - `v0.1.0+2`

 - **REFACTOR**(cloud_messaging_bloc_firebase): update deps.
 - **DOCS**(cloud_messaging_bloc): add reamde.

#### `wyatt_crud_bloc` - `v0.1.1+1`

 - **FIX**: apply dart format.
 - **FIX**: apply dart fix --apply.

#### `wyatt_form_bloc` - `v0.2.0+4`

 - **FIX**: apply dart format.

#### `wyatt_http_client` - `v2.0.1`

 - **FIX**: apply dart fix --apply.

#### `wyatt_i18n` - `v2.0.1`

 - **FIX**: apply dart fix --apply.

#### `wyatt_ui_kit` - `v3.2.0`

 - **REFACTOR**(ui_kit): Refactored code using the UI components package, due to breaking changes.
 - **FIX**: apply dart format.
 - **FIX**: apply dart fix --apply.
 - **FEAT**: implement notification abstraction package.

#### `wyatt_ui_layout` - `v0.1.2`

 - **REFACTOR**(ui_layouts): Refactored block using the UI components package, introducing breaking changes.
 - **FEAT**: implement notification abstraction package.


## 2023-08-21

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_i18n` - `v2.0.0+1`](#wyatt_i18n---v2001)

---

#### `wyatt_i18n` - `v2.0.0+1`


## 2023-08-18

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_cloud_messaging_bloc_base` - `v0.1.1+1`](#wyatt_cloud_messaging_bloc_base---v0111)
 - [`wyatt_cloud_messaging_bloc_firebase` - `v0.1.0+1`](#wyatt_cloud_messaging_bloc_firebase---v0101)

---

#### `wyatt_cloud_messaging_bloc_base` - `v0.1.1+1`

 - **FIX**: fix unimplemented error in listenable use case.

#### `wyatt_cloud_messaging_bloc_firebase` - `v0.1.0+1`

 - **REFACTOR**(cloud_messaging_bloc_firebase): update deps.


## 2023-08-18

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_cloud_messaging_bloc_base` - `v0.1.1`](#wyatt_cloud_messaging_bloc_base---v011)
 - [`wyatt_cloud_messaging_bloc_firebase` - `v0.1.0+1`](#wyatt_cloud_messaging_bloc_firebase---v0101)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_cloud_messaging_bloc_firebase` - `v0.1.0+1`

---

#### `wyatt_cloud_messaging_bloc_base` - `v0.1.1`

 - **REFACTOR**: modify methods on usage.
 - **FIX**: fix notifs listeners.
 - **FEAT**: check exception in listen notifications use cases.


## 2023-08-16

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.5.1+1`](#wyatt_authentication_bloc---v0511)

---

#### `wyatt_authentication_bloc` - `v0.5.1+1`

 - **FIX**: use correct behavior subject for stream session.


## 2023-08-09

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.5.1`](#wyatt_authentication_bloc---v051)
 - [`wyatt_bloc_layout` - `v0.1.1`](#wyatt_bloc_layout---v011)
 - [`wyatt_ui_components` - `v0.2.2`](#wyatt_ui_components---v022)
 - [`wyatt_ui_kit` - `v3.1.0`](#wyatt_ui_kit---v310)
 - [`wyatt_ui_layout` - `v0.1.1`](#wyatt_ui_layout---v011)

---

#### `wyatt_authentication_bloc` - `v0.5.1`

 - **FIX**(authentication): try/catch on cache retrieve.
 - **FEAT**(auth): add mocked cache data source.

#### `wyatt_bloc_layout` - `v0.1.1`

 - **FEAT**(bloc_layout): add consumer layouts.
 - **FEAT**(ui_layout-bloc_layout): proxy scaffold fields.

#### `wyatt_ui_components` - `v0.2.2`

 - **FIX**: upgrade to flutter 3.10.
 - **FEAT**: add items manipulation in bottom bar component.
 - **FEAT**(ui): export pricing card.
 - **FEAT**(ui): proxy some rich text parameters.

#### `wyatt_ui_kit` - `v3.1.0`

 - **FIX**: upgrade to flutter 3.10.
 - **FEAT**(ui): export pricing card.
 - **FEAT**(ui): proxy some rich text parameters.
 - **FEAT**(ui): tweak some values.

#### `wyatt_ui_layout` - `v0.1.1`

 - **FEAT**(ui_layout-bloc_layout): proxy scaffold fields.


## 2023-05-06

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.5.0+1`](#wyatt_authentication_bloc---v0501)

---

#### `wyatt_authentication_bloc` - `v0.5.0+1`

 - **REFACTOR**(authentication): controle cache checking.


## 2023-05-04

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_ui_components` - `v0.2.1`](#wyatt_ui_components---v021)
 - [`wyatt_bloc_layout` - `v0.1.0+1`](#wyatt_bloc_layout---v0101)
 - [`wyatt_ui_kit` - `v3.0.1`](#wyatt_ui_kit---v301)
 - [`wyatt_ui_layout` - `v0.1.0+1`](#wyatt_ui_layout---v0101)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_bloc_layout` - `v0.1.0+1`
 - `wyatt_ui_kit` - `v3.0.1`
 - `wyatt_ui_layout` - `v0.1.0+1`

---

#### `wyatt_ui_components` - `v0.2.1`

 - **FEAT**: add floating action button component (close #191). (d3184eb3)


## 2023-05-03

### Changes

---

Packages with breaking changes:

 - [`wyatt_bloc_layout` - `v0.1.0`](#wyatt_bloc_layout---v010)
 - [`wyatt_ui_components` - `v0.2.0`](#wyatt_ui_components---v020)
 - [`wyatt_ui_kit` - `v3.0.0`](#wyatt_ui_kit---v300)
 - [`wyatt_ui_layout` - `v0.1.0`](#wyatt_ui_layout---v010)

Packages with other changes:

 - [`wyatt_analysis` - `v2.5.0`](#wyatt_analysis---v250)
 - [`wyatt_component_copy_with_extension` - `v2.0.1`](#wyatt_component_copy_with_extension---v201)
 - [`wyatt_component_copy_with_gen` - `v2.0.1`](#wyatt_component_copy_with_gen---v201)

---

#### `wyatt_bloc_layout` - `v0.1.0`

 - **BREAKING** **FEAT**(layout): update layout plugins with new components system. (e76857f1)

#### `wyatt_ui_components` - `v0.2.0`

 - **FIX**(gen): rename builder correctly. (cef73aa6)
 - **FEAT**(ui_components): make textwrapper toString useful. (96369e24)
 - **FEAT**(ui): add pricing card. (bfbeabe7)
 - **FEAT**(ui): update default extension implementation. (01a5619d)
 - **FEAT**(ui): add animated decorated box + animate all buttons + customize duration in style. (4ebb679a)
 - **FEAT**(ui): add colors and rework ComponentThemeData. (abd5e1b5)
 - **FEAT**(ui): make components more coherent + docs. (01269027)
 - **FEAT**(ui): make gradient as component. (0d5109fc)
 - **FEAT**(ui): fix, rename, rewrite some helpers. (3fb40205)
 - **BREAKING** **FEAT**(ui): move last extensions + add extension provider. (4097a420)
 - **BREAKING** **FEAT**(ui): rework theme resolver mechanism + move theme extension implementations. (8f5e3923)

#### `wyatt_ui_kit` - `v3.0.0`

 - **FIX**(gen): rename builder correctly. (cef73aa6)
 - **FEAT**(ui): add pricing card. (bfbeabe7)
 - **FEAT**(ui): update default extension implementation. (01a5619d)
 - **FEAT**(ui): add animated decorated box + animate all buttons + customize duration in style. (4ebb679a)
 - **FEAT**(ui): add colors and rework ComponentThemeData. (abd5e1b5)
 - **FEAT**(ui_kit): update example by removing adaptative theme. (a024b7e7)
 - **FEAT**(ui): make components more coherent + docs. (01269027)
 - **FEAT**(ui): make gradient as component. (0d5109fc)
 - **FEAT**(ui): fix, rename, rewrite some helpers. (3fb40205)
 - **FEAT**(ui_kit): make flat button fade on transition. (32cc6e82)
 - **FEAT**(ui_kit): add more control over flat button prefix/suffix color. (2baaf5c0)
 - **BREAKING** **FEAT**(ui): move last extensions + add extension provider. (4097a420)
 - **BREAKING** **FEAT**(ui): rework theme resolver mechanism + move theme extension implementations. (8f5e3923)

#### `wyatt_ui_layout` - `v0.1.0`

 - **BREAKING** **FEAT**(layout): update layout plugins with new components system. (e76857f1)

#### `wyatt_analysis` - `v2.5.0`

 - **FIX**(analysis): remove depencies sort. (4e3b288e)
 - **FEAT**(analysis): update version. (0720a145)
 - **FEAT**(analysis): upgrade. (2692c607)

#### `wyatt_component_copy_with_extension` - `v2.0.1`

 - **FIX**(gen): rename builder correctly. (cef73aa6)

#### `wyatt_component_copy_with_gen` - `v2.0.1`

 - **FIX**(gen): rename builder correctly. (cef73aa6)


## 2023-04-14

### Changes

---

Packages with breaking changes:

 - [`wyatt_architecture` - `v0.2.0`](#wyatt_architecture---v020)
 - [`wyatt_authentication_bloc` - `v0.5.0`](#wyatt_authentication_bloc---v050)
 - [`wyatt_component_copy_with_extension` - `v2.0.0`](#wyatt_component_copy_with_extension---v200)
 - [`wyatt_component_copy_with_gen` - `v2.0.0`](#wyatt_component_copy_with_gen---v200)
 - [`wyatt_http_client` - `v2.0.0`](#wyatt_http_client---v200)
 - [`wyatt_i18n` - `v2.0.0`](#wyatt_i18n---v200)
 - [`wyatt_ui_components` - `v0.1.0`](#wyatt_ui_components---v010)
 - [`wyatt_ui_kit` - `v2.0.0`](#wyatt_ui_kit---v200)

Packages with other changes:

 - [`wyatt_analysis` - `v2.4.2`](#wyatt_analysis---v242)
 - [`wyatt_bloc_helper` - `v2.0.1`](#wyatt_bloc_helper---v201)
 - [`wyatt_bloc_layout` - `v0.0.2`](#wyatt_bloc_layout---v002)
 - [`wyatt_crud_bloc` - `v0.1.1`](#wyatt_crud_bloc---v011)
 - [`wyatt_form_bloc` - `v0.2.0+3`](#wyatt_form_bloc---v0203)
 - [`wyatt_type_utils` - `v0.0.5`](#wyatt_type_utils---v005)
 - [`wyatt_ui_layout` - `v0.0.2`](#wyatt_ui_layout---v002)

---

#### `wyatt_architecture` - `v0.2.0`

 - **REFACTOR**: move to dart package.
 - **FIX**: remove wyatt arch ios example.
 - **DOCS**: change some documentation.
 - **DOCS**: add documentation.
 - **DOCS**: update readme.
 - **BREAKING** **REFACTOR**: fix cascade dart good practices + docs.

#### `wyatt_authentication_bloc` - `v0.5.0`

 - **REFACTOR**: remove cross package export.
 - **REFACTOR**: remove cross package export.
 - **REFACTOR**: use custom user changes stream.
 - **REFACTOR**: make signup/in, passwordreset cubit extendable.
 - **FIX**: make sur access token is available on every steps.
 - **FIX**: anonymous sign in event.
 - **FIX**: initialize account stream transformer.
 - **FIX**: stream on null account.
 - **FIX**: handle empty provider list (closes #113).
 - **FEAT**: add mock + local storage.
 - **FEAT**: remove session wrapper for AuthenticationSession.
 - **FEAT**: add account edit cubit.
 - **FEAT**: add custom routine, and documentation.
 - **FEAT**: add full event support.
 - **DOCS**: update example with multiple data sources.
 - **DOCS**: add full dartdoc.
 - **DOCS**: add wiki script.
 - **DOCS**: update example.
 - **DOCS**: update example.
 - **BREAKING** **REFACTOR**: split data sources (cache, session, external).
 - **BREAKING** **REFACTOR**: use mixins, and remove use of onSignUpSuccess.
 - **BREAKING** **FEAT**: add event type on auth change.

#### `wyatt_component_copy_with_extension` - `v2.0.0`

 - **FIX**: remove wyatt arch ios example.
 - **FEAT**: add class annotation for component code generators.
 - **DOCS**: add some documentation.
 - **BREAKING** **REFACTOR**: rename file.

#### `wyatt_component_copy_with_gen` - `v2.0.0`

 - **REFACTOR**: migrate components using code generator packages (#115).
 - **FIX**: remove wyatt arch ios example.
 - **FIX**: change example to be compatible with new AppTopBar and TextWrapper.
 - **FIX**: fix textwrapper.
 - **FIX**: update example (#118).
 - **FIX**: copywith method takes non nullable fields too (#118).
 - **FEAT**: add generators for components proxy and mixins to enable copywith methods.
 - **DOCS**: add some documentation.
 - **BREAKING** **REFACTOR**: rename file.

#### `wyatt_http_client` - `v2.0.0`

 - **DOCS**: add simple example.
 - **BREAKING** **REFACTOR**: fix cascade dart good practices + docs.

#### `wyatt_i18n` - `v2.0.0`

 - **FEAT**: change gitignore for symbolic link.
 - **FEAT**: add i18n delegate + example.
 - **FEAT**: implements network data source.
 - **FEAT**: add default locale.
 - **FEAT**: add getter/setter.
 - **FEAT**: add ICU parser.
 - **FEAT**: add arb, json and yaml parsers.
 - **DOCS**: add docstrings on every classes.
 - **BREAKING** **FEAT**: rename few files + add clearer documentation.

#### `wyatt_ui_components` - `v0.1.0`

 - **REFACTOR**: update example (#92).
 - **REFACTOR**: replace ThemeResolver by ThemeHelper in Loader / RichTextBuilder (closes #148).
 - **REFACTOR**: migrate top nav bar using generify top bar.
 - **REFACTOR**: move borderColors type.
 - **REFACTOR**: add CopyWith method in ThemeStyle.
 - **REFACTOR**: update colors using Multicolor class (#138).
 - **REFACTOR**: rework text gradient and text wrapper.
 - **REFACTOR**: remove CopyWith extension.
 - **REFACTOR**: move extensions.
 - **REFACTOR**: merge flat and outline buttons in only one style.
 - **REFACTOR**: update example (close #115).
 - **REFACTOR**: migrate components using code generator packages (#115).
 - **REFACTOR**: update example (#92).
 - **FIX**: fix extra value in compute extension function.
 - **FIX**: remove darkmode enable field in cards.
 - **FIX**: add loader to theme data (close #152).
 - **FIX**: inverse merge in TextInputStyle.
 - **FIX**: use multicolor in cards.
 - **FIX**: fix MultiColor lerp method.
 - **FIX**: remove null check operator in RichTextBuilder component.
 - **FIX**: remove wyatt arch ios example.
 - **FIX**: add style merge in Theme Resolver.
 - **FIX**: generate new files after generator fixes (close #118).
 - **FIX**: move theme_resolver in compnoent to fix code generation.
 - **FIX**: add generated component with theme resolver.
 - **FEAT**: add text input components, theme extension and worked on utils (#138).
 - **FEAT**: add isColor getter in multicolor helper.
 - **FEAT**: add loading & error widget to component theme (close #69).
 - **FEAT**: add text input abstract class (#138).
 - **FEAT**: add rich text builder / parser.
 - **FEAT**: update example & move configure function (#69).
 - **FEAT**: add top navigation bar component to theme data.
 - **FEAT**: add extra state.
 - **FEAT**: update layouts to allow more control on components.
 - **FEAT**: add some useful text customization in TextWrapper (closes #149).
 - **FEAT**: update attributs and proxy most of appbar attributs.
 - **FEAT**: add new components to theme data (close #152).
 - **FEAT**: move style implementation from component to ui_kit with theme resolver.
 - **FEAT**: add copyWith gen and make button style lerping.
 - **FEAT**: make component theme data copyable.
 - **FEAT**: add loader component and style.
 - **FEAT**: add file selection component.
 - **FEAT**: add simple icon button and dimension style.
 - **FEAT**: add symbol button.
 - **FEAT**: implement top nav bar.
 - **FEAT**: add tapped control state.
 - **FEAT**: add MultiColor util class.
 - **FEAT**: create new package to split components and layouts.
 - **FEAT**: add button components.
 - **FEAT**: make app bar leading & actions customizable.
 - **FEAT**: add quote / skill / portfolio cards (#126).
 - **FEAT**: add gradient attribut to text wrapper.
 - **FEAT**: add string extension to easely wrap text.
 - **FEAT**: export cards #126.
 - **FEAT**: add portfolio & skill cards #126.
 - **FEAT**: make text wrapper constructor constant.
 - **FEAT**: add text wrapper instead of String/Widget for Texts.
 - **FEAT**: make fields nullable and not required in quote card.
 - **FEAT**: add card theme extension, fix bugs & update example (close #126).
 - **FEAT**: export components and add license header.
 - **FEAT**: add information_card & quote_card (#126).
 - **FEAT**: add Top Navigation Bar Component.
 - **FEAT**: generate new skillcard component.
 - **FEAT**: generify bars.
 - **FEAT**: rework on structure using new components and layouts.
 - **FEAT**: add centerTitle property to app bar component.
 - **FEAT**: make component data field nullable (#92).
 - **FEAT**: add lerp on multicolor.
 - **FEAT**: add flat/outlined button styles.
 - **DOCS**: add some documentation + readme.
 - **DOCS**: update models.
 - **BREAKING** **REFACTOR**: remove bloc export in buttons to be state management solution agnostic (closes #147).

#### `wyatt_ui_kit` - `v2.0.0`

 - **REFACTOR**: use tapped state and merged styles.
 - **REFACTOR**: remove selection area of rich text, its not his reponsibility.
 - **REFACTOR**: replace ThemeResolver by ThemeHelper in Loader / RichTextBuilder (closes #148).
 - **REFACTOR**: adapt ui_kit.
 - **REFACTOR**: use ThemeHelper in cards.
 - **REFACTOR**: rename GradientBoxBorder.
 - **REFACTOR**: update textinput component using borderColors as Color.
 - **REFACTOR**: rework text gradient and text wrapper.
 - **REFACTOR**: move exportable bloc from mixin to widget.
 - **REFACTOR**: make resolve private and dotter child a widget.
 - **FIX**: fix text align, add selection and update example for rich text builder.
 - **FIX**: remove useless file.
 - **FIX**: fix tab action focus on textinputs.
 - **FIX**: inverse merge in TextInputStyle.
 - **FIX**: use multicolor in cards.
 - **FIX**: fix export theme file.
 - **FIX**: remove wyatt arch ios example.
 - **FIX**: remove null check operator in RichTextBuilder component.
 - **FIX**: remove null check operator in Loader component.
 - **FIX**: fix conflicts in card component after rebase.
 - **FIX**: move theme_resolver in compnoent to fix code generation.
 - **FIX**: make card core stateless.
 - **FIX**: add cacheExtend as a trade-off in listview example.
 - **FIX**: add local font assets + compress images.
 - **FEAT**: make top bar selector customizable.
 - **FEAT**: update example (#138).
 - **FEAT**: implemement text inputs (#138).
 - **FEAT**: add text input theme extension (#138).
 - **FEAT**: add some useful text customization in TextWrapper (closes #149).
 - **FEAT**: implement rich text builder (closes #141).
 - **FEAT**: remove .raw call.
 - **FEAT**: add loader implementation.
 - **FEAT**: export ui kit as component theme data.
 - **FEAT**: implement top app bar and update example.
 - **FEAT**: update example with full studio button theme.
 - **FEAT**: add theme control in example.
 - **FEAT**: finalize material ready buttons.
 - **FEAT**: implement information card (#126).
 - **FEAT**: implement flat button.
 - **FEAT**: add theme extension support in buttons + theme negociation.
 - **FEAT**: add theme extension shortcut.
 - **FEAT**: add card theme extension, fix bugs & update example (close #126).
 - **FEAT**: add quote / skill / portfolio cards (#126).
 - **FEAT**: make skillcard header icon customizable.
 - **FEAT**: update example with drawer and custom launch parameters.
 - **FEAT**: add multicolor support in linear gradient helper.
 - **FEAT**: implement file selection button with invalid cubit and dotted package.
 - **FEAT**: implement simple icon button and use dimension style.
 - **FEAT**: add symbol button + enhance bloc control over state.
 - **FEAT**: implement top nav bar.
 - **FEAT**: use MultiColor in button style.
 - **FEAT**: implement flat/outlined button.
 - **FEAT**: move style implementation from component to ui_kit with theme resolver.
 - **FEAT**: allow to cascade styles in ThemeHelper.
 - **DOCS**: add some documentation + readme.
 - **DOCS**: add theme negociation explaination.
 - **BREAKING** **REFACTOR**: remove bloc export in buttons to be state management solution agnostic (closes #147).

#### `wyatt_analysis` - `v2.4.2`

 - **REFACTOR**: remove cross package export.
 - **DOCS**: change some documentation.

#### `wyatt_bloc_helper` - `v2.0.1`

 - **REFACTOR**: docs + nullable multiprovider attributes.

#### `wyatt_bloc_layout` - `v0.0.2`

 - **REFACTOR**: remove cross package export.
 - **REFACTOR**: migrate bloc layouts using copywith component method (close #121).
 - **REFACTOR**: update example (#92).
 - **REFACTOR**: update package using nullable component data (#92).
 - **REFACTOR**: update example with new app bar entity (#90).
 - **FIX**: remove wyatt arch ios example.
 - **FIX**: change example to be compatible with new AppTopBar and TextWrapper.
 - **FIX**: fix textwrapper.
 - **FIX**: update export file.
 - **FIX**: rename file.
 - **FEAT**: add attributs available for grid bloc layouts.
 - **FEAT**: add grid content implementations.
 - **FEAT**: rework on structure using new components and layouts.
 - **FEAT**: make package compatible with crud cubit (close #111).
 - **FEAT**: export layout_package & adapt imports.
 - **FEAT**: export useful packages (close #88).
 - **FEAT**: add all layout avalaible with crud bloc.
 - **FEAT**: link error widget to error state.
 - **FEAT**: add new package to combine bloc_helper, crud_bloc, ui_components, and ui_layout.

#### `wyatt_crud_bloc` - `v0.1.1`

 - **REFACTOR**: remove cross package export.
 - **REFACTOR**: update package using new architecture usecase execute method (close #77).
 - **FEAT**: change responsibility of blocs (closes #45, closes #44).

#### `wyatt_form_bloc` - `v0.2.0+3`

 - **REFACTOR**: remove cross package export.
 - **FIX**: fix textController rebuild.

#### `wyatt_type_utils` - `v0.0.5`

 - **FEAT**: add nullable num comparison.
 - **DOCS**: change some documentation.
 - **DOCS**: add some documentation.

#### `wyatt_ui_layout` - `v0.0.2`

 - **REFACTOR**: update exemple (close #116).
 - **REFACTOR**: migrate layouts using copywith component method (#116).
 - **REFACTOR**: update example (#92).
 - **REFACTOR**: update package using nullable component data (#92).
 - **REFACTOR**: update example with components updates (close #90).
 - **REFACTOR**: update appbar component (close #78).
 - **REFACTOR**: update field name.
 - **FIX**: remove wyatt arch ios example.
 - **FIX**: change example to be compatible with new AppTopBar and TextWrapper.
 - **FIX**: fix textwrapper.
 - **FIX**: fix emample after splititng packages.
 - **FIX**: remove unecessary dependencies.
 - **FEAT**: add grid content implementations.
 - **FEAT**: update layouts to allow more control on components.
 - **FEAT**: make field nullable & add new app bar fields (#97).
 - **FEAT**: add frame layout (close #67).
 - **FEAT**: add new package for app compenant and start implementing layouts.
 - **DOCS**: add some documentation + readme.
 - **DOCS**: add doc.
 - **DOCS**: update models.


## 2023-02-24

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_analysis` - `v2.4.1`](#wyatt_analysis---v241)

---

#### `wyatt_analysis` - `v2.4.1`

 - **FEAT**: add latest version persistence between script executions.
 - **FEAT**: ignore todo's.


## 2023-02-07

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_analysis` - `v2.4.0`](#wyatt_analysis---v240)

---

#### `wyatt_analysis` - `v2.4.0`

 - **FEAT**: add new lint rules.
 - **DOCS**: add instructions to create a new version (closes #104).


## 2022-12-13

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.4.1`](#wyatt_authentication_bloc---v041)

---

#### `wyatt_authentication_bloc` - `v0.4.1`

 - **REFACTOR**: use fromFirebaseUser factory to parse user.
 - **REFACTOR**: update deps and re-export them.
 - **FIX**: fix mock on register.
 - **FEAT**: add google sign in in signIn cubit.
 - **FEAT**: add google sign in parameter in firebase data source constructor.
 - **FEAT**: add google sign_in support (closes #59).
 - **FEAT**: add reauthenticate, updateEmail and updatePassword.
 - **DOCS**: add correct header.


## 2022-12-12

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_analysis` - `v2.3.0`](#wyatt_analysis---v230)

---

#### `wyatt_analysis` - `v2.3.0`

 - **REFACTOR**: follow melos versioning.
 - **FIX**: change file include to keep coherence.
 - **FEAT**: exclude generated code, and add dart>2.16 rules.
 - **FEAT**: add overwrite protection.
 - **FEAT**: add 2.2.2 files for archive.
 - **FEAT**: add utils script to easely bump version.


## 2022-12-04

### Changes

---

Packages with breaking changes:

 - [`wyatt_bloc_helper` - `v2.0.0`](#wyatt_bloc_helper---v200)

Packages with other changes:

 - [`wyatt_type_utils` - `v0.0.4`](#wyatt_type_utils---v004)
 - [`wyatt_authentication_bloc` - `v0.4.0+3`](#wyatt_authentication_bloc---v0403)
 - [`wyatt_crud_bloc` - `v0.1.0+2`](#wyatt_crud_bloc---v0102)
 - [`wyatt_architecture` - `v0.1.0+1`](#wyatt_architecture---v0101)
 - [`wyatt_form_bloc` - `v0.2.0+2`](#wyatt_form_bloc---v0202)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_authentication_bloc` - `v0.4.0+3`
 - `wyatt_crud_bloc` - `v0.1.0+2`
 - `wyatt_architecture` - `v0.1.0+1`
 - `wyatt_form_bloc` - `v0.2.0+2`

---

#### `wyatt_bloc_helper` - `v2.0.0`

 - **BREAKING** **REFACTOR**: update onWrap label (close #46).

#### `wyatt_type_utils` - `v0.0.4`

 - **FEAT**: add Result extension on FutureOr type (close #40).


## 2022-12-03

### Changes

---

Packages with breaking changes:

 - [`wyatt_architecture` - `v0.1.0`](#wyatt_architecture---v010)

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.4.0+2`](#wyatt_authentication_bloc---v0402)
 - [`wyatt_crud_bloc` - `v0.1.0+1`](#wyatt_crud_bloc---v0101)
 - [`wyatt_form_bloc` - `v0.2.0+1`](#wyatt_form_bloc---v0201)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_authentication_bloc` - `v0.4.0+2`
 - `wyatt_crud_bloc` - `v0.1.0+1`
 - `wyatt_form_bloc` - `v0.2.0+1`

---

#### `wyatt_architecture` - `v0.1.0`

 - **REFACTOR**: update naming methodes (close #47).
 - **REFACTOR**: update example. (close #38).
 - **FIX**: fix execute method on error handler. (#38).
 - **FEAT**: update usecase en add  &  sepcific case. (#38).
 - **FEAT**: add obsevers for alternative usecase scenarions (#38).
 - **DOCS**: generate class model. (#38).
 - **DOCS**: update Readme. (#38).
 - **BREAKING** **CHORE**: update exports. (#38).


## 2022-11-16

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.4.0+1`](#wyatt_authentication_bloc---v0401)

---

#### `wyatt_authentication_bloc` - `v0.4.0+1`

 - **FIX**: add sort of mutex on onAuthChanges callback trigger.


## 2022-11-16

### Changes

---

Packages with breaking changes:

 - [`wyatt_authentication_bloc` - `v0.4.0`](#wyatt_authentication_bloc---v040)
 - [`wyatt_form_bloc` - `v0.2.0`](#wyatt_form_bloc---v020)

Packages with other changes:

 - There are no other changes in this release.

---

#### `wyatt_authentication_bloc` - `v0.4.0`

 - **REFACTOR**: update example with new input builders.
 - **FIX**: add initial null account event in stream in the mock authentication.
 - **BREAKING** **FIX**: add signInWithEmailAndPassword and signInAnonymously methods in SignInCubit #26.

#### `wyatt_form_bloc` - `v0.2.0`

 - **FIX**: disable status selection and rebuild SubmitBuilder on every state changes #28.
 - **FIX**: fix set operations behaviors.
 - **FIX**: add nullable validator on boolean value.
 - **FEAT**: add metadata tag to bypass validation #29.
 - **FEAT**: add shorthands to access validator status.
 - **BREAKING** **REFACTOR**: input builders provides FormInput.


## 2022-11-13

### Changes

---

Packages with breaking changes:

 - [`wyatt_crud_bloc` - `v0.1.0`](#wyatt_crud_bloc---v010)

Packages with other changes:

 - There are no other changes in this release.

---

#### `wyatt_crud_bloc` - `v0.1.0`

 - **REFACTOR**: add vscode config.
 - **FIX**: update example.
 - **BREAKING** **REFACTOR**: migrate to wyatt architecture.


## 2022-11-11

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.3.0+1`](#wyatt_authentication_bloc---v0301)

---

#### `wyatt_authentication_bloc` - `v0.3.0+1`

 - **FIX**: fix some bugs to validate publishing.


## 2022-11-11

### Changes

---

Packages with breaking changes:

 - [`wyatt_authentication_bloc` - `v0.3.0`](#wyatt_authentication_bloc---v030)

Packages with other changes:

 - There are no other changes in this release.

---

#### `wyatt_authentication_bloc` - `v0.3.0`

 - **REFACTOR**: use correct deps.
 - **REFACTOR**: update example with new listeners.
 - **FIX**: return exception and not throwing it anymore.
 - **FIX**: exception returns msg as message.
 - **FEAT**: add fully functionnal mock data source.
 - **FEAT**: add toString and equality on entities and models.
 - **BREAKING** **FEAT**: add email verification, password reset support.


## 2022-11-10

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_architecture` - `v0.0.2`](#wyatt_architecture---v002)
 - [`wyatt_authentication_bloc` - `v0.2.1+6`](#wyatt_authentication_bloc---v0216)
 - [`wyatt_form_bloc` - `v0.1.0+1`](#wyatt_form_bloc---v0101)

Packages graduated to a stable release (see pre-releases prior to the stable version for changelog entries):

 - `wyatt_architecture` - `v0.0.2`

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_authentication_bloc` - `v0.2.1+6`
 - `wyatt_form_bloc` - `v0.1.0+1`

---

#### `wyatt_architecture` - `v0.0.2`


## 2022-11-10

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.1.0`](#wyatt_form_bloc---v010)
 - [`wyatt_authentication_bloc` - `v0.2.1+5`](#wyatt_authentication_bloc---v0215)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_authentication_bloc` - `v0.2.1+5`

---

#### `wyatt_form_bloc` - `v0.1.0`

 - **REFACTOR**: refactor simple example.
 - **FIX**: make cubit custom implementation simpler.
 - **FEAT**: clean and add toString and equality.


## 2022-11-08

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_architecture` - `v0.0.2-dev.0`](#wyatt_architecture---v002-dev0)

---

#### `wyatt_architecture` - `v0.0.2-dev.0`

 - **FEAT**: add exceptions, datasources, repositories, and usecases.


## 2022-11-07

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_type_utils` - `v0.0.3+1`](#wyatt_type_utils---v0031)
 - [`wyatt_architecture` - `v0.0.1+2`](#wyatt_architecture---v0012)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_architecture` - `v0.0.1+2`

---

#### `wyatt_type_utils` - `v0.0.3+1`

 - **REFACTOR**: rename future result extension.


## 2022-11-06

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_bloc_helper` - `v1.2.0`](#wyatt_bloc_helper---v120)

---

#### `wyatt_bloc_helper` - `v1.2.0`

 - **REFACTOR**: general code update.
 - **FEAT**: add init function and multi provider.
 - **FEAT**: add a lot of docs, fix `onWrap`, and add repo provider.
 - **FEAT**: add wrap feature.
 - **DOCS**: add ios example.
 - **DOCS**: update license.


## 2022-11-06

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_type_utils` - `v0.0.3`](#wyatt_type_utils---v003)
 - [`wyatt_architecture` - `v0.0.1+1`](#wyatt_architecture---v0011)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_architecture` - `v0.0.1+1`

---

#### `wyatt_type_utils` - `v0.0.3`

 - **REFACTOR**: move either folder.
 - **FEAT**: add object, string, datetime, iterable extensions.
 - **FEAT**: add new pair type.


## 2022-11-06

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_analysis` - `v2.2.2`](#wyatt_analysis---v222)

---

#### `wyatt_analysis` - `v2.2.2`

 - **DOCS**: add publish_to self hosted pub server.


## 2022-08-26

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.0.6`](#wyatt_form_bloc---v006)
 - [`wyatt_authentication_bloc` - `v0.2.1+4`](#wyatt_authentication_bloc---v0214)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_authentication_bloc` - `v0.2.1+4`

---

#### `wyatt_form_bloc` - `v0.0.6`

 - **FEAT**: add raw form validator.


## 2022-08-25

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.0.5`](#wyatt_form_bloc---v005)
 - [`wyatt_authentication_bloc` - `v0.2.1+3`](#wyatt_authentication_bloc---v0213)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_authentication_bloc` - `v0.2.1+3`

---

#### `wyatt_form_bloc` - `v0.0.5`

 - **FEAT**: update deps.


## 2022-08-25

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.0.4`](#wyatt_form_bloc---v004)
 - [`wyatt_authentication_bloc` - `v0.2.1+2`](#wyatt_authentication_bloc---v0212)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_authentication_bloc` - `v0.2.1+2`

---

#### `wyatt_form_bloc` - `v0.0.4`

 - **FEAT**: add form validator class with strategy design pattern.


## 2022-07-18

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_type_utils` - `v0.0.2`](#wyatt_type_utils---v002)

---

#### `wyatt_type_utils` - `v0.0.2`

 - **FEAT**: add strongly typed Option and Result.
 - **FEAT**: add mason generated package.
 - **DOCS**: remove useless web example.


## 2022-07-12

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_analysis` - `v2.2.1`](#wyatt_analysis---v221)

---

#### `wyatt_analysis` - `v2.2.1`

 - **FIX**: import right version.


## 2022-07-11

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_analysis` - `v2.2.0`](#wyatt_analysis---v220)

---

#### `wyatt_analysis` - `v2.2.0`

 - **FIX**: rename to follow melos versioning and remove redundant rule.
 - **FEAT**: promote experimental, update analyzer rules and add some linter rules.


## 2022-07-10

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`form_bloc_example` - `v1.1.0`](#form_bloc_example---v110)
 - [`wyatt_form_bloc` - `v0.0.3`](#wyatt_form_bloc---v003)
 - [`authentication_bloc_example` - `v1.0.1`](#authentication_bloc_example---v101)
 - [`wyatt_authentication_bloc` - `v0.2.1+1`](#wyatt_authentication_bloc---v0211)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `authentication_bloc_example` - `v1.0.1`
 - `wyatt_authentication_bloc` - `v0.2.1+1`

---

#### `form_bloc_example` - `v1.1.0`

 - **FEAT**: add list option validator.
 - **DOCS**: add example app.

#### `wyatt_form_bloc` - `v0.0.3`

 - **FEAT**: add helpers.
 - **FEAT**: add metadata on inputs.
 - **FEAT**: update to latest dart version.


## 2022-06-24

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_http_client` - `v1.2.0`](#wyatt_http_client---v120)

---

#### `wyatt_http_client` - `v1.2.0`

 - **FEAT**: add new middleware feature.
 - **FEAT**: implements doublelinked list for middlewares.
 - **FEAT**: [WIP] implements middleware system.
 - **FEAT**: [WIP] work on middleware feature.


## 2022-05-23

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_http_client` - `v1.1.0`](#wyatt_http_client---v110)

---

#### `wyatt_http_client` - `v1.1.0`

 - **FEAT**: add oauth2 refresh token client.


## 2022-05-23

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_analysis` - `v2.1.0`](#wyatt_analysis---v210)

---

#### `wyatt_analysis` - `v2.1.0`

 - **FEAT**: add experimental rules in appropriate file.


## 2022-05-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.2.1`](#wyatt_authentication_bloc---v021)
 - [`wyatt_bloc_helper` - `v1.1.0`](#wyatt_bloc_helper---v110)

---

#### `wyatt_authentication_bloc` - `v0.2.1`

 - **FEAT**: add google, facebook, apple, twitter login.

#### `wyatt_bloc_helper` - `v1.1.0`

 - **FEAT**: add provider, consumer and helpers.


## 2022-05-05

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_medium_feeds` - `v1.0.1`](#wyatt_medium_feeds---v101)

---

#### `wyatt_medium_feeds` - `v1.0.1`

 - **FIX**: remove useless example file.


## 2022-05-02

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.0.2`](#wyatt_form_bloc---v002)
 - [`wyatt_authentication_bloc` - `v0.2.0+1`](#wyatt_authentication_bloc---v0201)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_authentication_bloc` - `v0.2.0+1`

---

#### `wyatt_form_bloc` - `v0.0.2`

 - **FEAT**: add list option validator.


## 2022-04-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_crud_bloc` - `v0.0.2`](#wyatt_crud_bloc---v002)
 - [`wyatt_analysis` - `v2.0.1`](#wyatt_analysis---v201)

---

#### `wyatt_crud_bloc` - `v0.0.2`

 - Migrate crud_package in monorepo

 - **DOCS**: add example app.

#### `wyatt_analysis` - `v2.0.1`

 - **DOCS**: Update readme with new version.


## 2022-04-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.2.0`](#wyatt_authentication_bloc---v020)

Packages graduated to a stable release (see pre-releases prior to the stable version for changelog entries):

 - `wyatt_authentication_bloc` - `v0.2.0`

---

#### `wyatt_authentication_bloc` - `v0.2.0`


## 2022-04-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.0.1`](#wyatt_form_bloc---v001)

Packages graduated to a stable release (see pre-releases prior to the stable version for changelog entries):

 - `wyatt_form_bloc` - `v0.0.1`

---

#### `wyatt_form_bloc` - `v0.0.1`


## 2022-04-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.0.1-dev.0`](#wyatt_form_bloc---v001-dev0)

---

#### `wyatt_form_bloc` - `v0.0.1-dev.0`

 - **REFACTOR**: all package structure/documentation.
 - **FEAT**: new utility package for forms and bloc.
 - **DOCS**: add example app.
 - **DOCS**: add few project files.


## 2022-04-19

### Changes

---

Packages with breaking changes:

 - [`wyatt_authentication_bloc` - `v0.2.0-dev.0`](#wyatt_authentication_bloc---v020-dev0)

Packages with other changes:

 - There are no other changes in this release.

---

#### `wyatt_authentication_bloc` - `v0.2.0-dev.0`

 - **BREAKING** **FEAT**: rename package.


## 2022-04-19

### Changes

---

Packages with breaking changes:

 - [`wyatt_analysis` - `v2.0.0`](#wyatt_analysis---v200)

Packages with other changes:

 - There are no other changes in this release.

---

#### `wyatt_analysis` - `v2.0.0`

 - **BREAKING** **FIX**: remove unawaited() since its in Dart 2.15.

